#!/bin/bash
set -xe

### If unspecified, the hostname of the container is taken as the JobManager address

JOB_CLUSTER="job-cluster"
TASK_MANAGER="task-manager"
CRON_JOB="cronjob"
COMPRESSION_JOB="compression-job"

CMD="$1"

if [ "${CMD}" == "${COMPRESSION_JOB}" ]; then
    echo "Starting the ${CMD}"
    sleep infinity
fi
chmod -R +x /opt/flink/scripts/

if [ "${CMD}" == "--help" -o "${CMD}" == "-h" ]; then
    echo "Usage: $(basename $0) (${JOB_CLUSTER}|${TASK_MANAGER})"
    exit 0
elif [ "${CMD}" == "${JOB_CLUSTER}" -o "${CMD}" == "${TASK_MANAGER}" ]; then
    echo "Starting the ${CMD}"

    if [ "${CMD}" == "${TASK_MANAGER}" ]; then
        $FLINK_HOME/bin/taskmanager.sh start
        sleep 1
        exec /bin/bash -c "tail -f $FLINK_HOME/log/*"
    else
        $FLINK_HOME/bin/jobmanager.sh start
        sleep 1
        exec /bin/bash -c "tail -f $FLINK_HOME/log/*"
    fi
elif [ "${CMD}" == "${CRON_JOB}" ]; then
    echo "Starting the ${CMD}"
    echo "$@"
    exec /bin/bash -c $@
fi

exit 0

